Subject: LSP-ID limit of 16 bit

From: "Udo Neustadter" <[email-masked]>
Date: Mon, 5 Feb 2001 14:51:24 -0500

Hi,

CR-LDP and RSVP-TE ID define an identifier for a path in the network. Both
definitions include an end point address and a 16 bit local path identifier.
I would appreciate any comments on the following issues:
  1) do people consider the 16 bit (64K) limitation acceptable?
  2) what would be an interoperable way to initiate more that
     64K explicitly routed paths from the same system (unique
     IP address)?
  3) is this issue considered in GMPLS?

Thanks,
Udo

---

From: Mohan Varma K <[email-masked]>
Date: Tue, 6 Feb 2001 11:33:05 +1100

Hi,

    As per mpls-te-mib-5 the index to a tunnel is also an EgressRtrID.
So the limitation of 64k tunnels is between the Ingress(LSR1) and say 
with Egress(LSR3)
Another 64k tunnels can be established between LSR1 and Egress(LSR4).
         LSR1 ---------- LSR2 ------------------LSR3---------LSR4.
            
            However if we do stacking at LSR1 as mentioned in CRLDP-4
 we can only mention an ERHop with  the IngressId of LSR1
 and the Tunnel ID.So Actually the number of tunnels that can be stacked 
 at  LSR1 will be 64k.
       
         So if in case the Erhop of type LSPID is able to carry the EgressId of
 the tunnels at LSR1 there are merely enough number of tunnels for stacking
 or splicing of tunnels.
          
Thanks
Mohan Varma

Hi,

Thanks,
Udo